import React from 'react'
import { Box, Typography, SvgIcon } from '@mui/material'

const Logo = () => {
  return (
    <Box
      sx={{
        display: 'flex',
        alignItems: 'center',
      }}
    >
      <SvgIcon
        fontSize="large"
        viewBox="0 0 39 26"
        sx={{ width: '38px', height: '26px' }}
      >
        <path
          d="M28.7788 22.6036C28.9169 23.5978 28.5406 24.5473 27.8592 25.1424C27.7327 25.2542 27.5956 25.3523 27.4495 25.4366C27.3171 25.5119 27.179 25.5768 27.0329 25.6281C26.7014 25.7455 26.3561 25.7888 26.0165 25.7672C26.0073 25.7672 25.9981 25.7672 25.9889 25.7649C25.3053 25.7159 24.6469 25.4058 24.1808 24.9099C23.4247 24.1062 23.4465 23.1075 23.4556 22.8989C23.4556 22.7985 23.4603 22.7006 23.4718 22.6036H15.254C15.2656 22.7006 15.2702 22.7985 15.2702 22.8989C15.2794 23.1075 15.3013 24.1062 14.5451 24.9099C14.0789 25.4058 13.4206 25.7159 12.737 25.7649C12.7277 25.7672 12.7185 25.7672 12.7093 25.7672C12.3698 25.7888 12.0245 25.7455 11.6931 25.6281C11.5469 25.5768 11.4087 25.5119 11.2764 25.4366C11.1302 25.3523 10.9933 25.2542 10.8666 25.1436C10.8655 25.1436 10.8655 25.1424 10.8655 25.1424C10.1853 24.5462 9.80893 23.5978 9.94704 22.6036H6.98682C7.00638 22.5306 7.0271 22.4566 7.04666 22.3836C7.41496 21.0281 7.78327 19.6715 8.15157 18.3159L8.39327 18.3045L11.2211 18.1792C11.3489 18.1735 11.4467 18.0674 11.441 17.942C11.4352 17.8154 11.3305 17.7174 11.2004 17.7243L8.51871 17.8428L8.27818 17.8542C8.41168 17.3595 8.54634 16.8658 8.67985 16.3722L8.91349 16.3916L11.1843 16.5796H11.2039C11.3224 16.5796 11.4237 16.4896 11.4329 16.371C11.4433 16.2457 11.35 16.135 11.2234 16.1247L9.03549 15.9435L8.80185 15.9241C8.93766 15.4237 9.07348 14.9232 9.20929 14.4238L9.42566 14.507L11.5802 15.3313C11.6067 15.3416 11.6355 15.3473 11.6631 15.3473C11.7552 15.3473 11.8426 15.2914 11.8772 15.2014C11.9232 15.0839 11.8645 14.9517 11.7459 14.9061L9.54651 14.0635L9.33013 13.9815C10.5237 9.58778 11.7183 5.19409 12.9119 0.801514C13.774 3.42816 14.6348 6.05481 15.4957 8.68032C16.1035 8.37479 17.5203 7.74891 19.3548 7.77741H19.371C21.2055 7.74891 22.6224 8.37479 23.2301 8.68032C24.091 6.05481 24.9519 3.42816 25.814 0.801514C27.0075 5.19409 28.2022 9.58778 29.3957 13.9815L29.1794 14.0635L26.9799 14.9061C26.8613 14.9517 26.8015 15.0839 26.8475 15.2014C26.8832 15.2914 26.9707 15.3473 27.0628 15.3473C27.0904 15.3473 27.118 15.3416 27.1456 15.3313L29.3002 14.507L29.5166 14.4238C29.6523 14.9232 29.7882 15.4237 29.924 15.9241L29.6903 15.9435L27.5024 16.1247C27.3758 16.135 27.2814 16.2457 27.2917 16.371C27.3021 16.4896 27.4034 16.5796 27.5208 16.5796H27.5404L29.8124 16.3916L30.046 16.3722C30.1796 16.8658 30.3141 17.3595 30.4477 17.8542L30.2071 17.8428L27.5243 17.7243C27.3943 17.7196 27.2895 17.8154 27.2838 17.942C27.2779 18.0674 27.377 18.1735 27.5036 18.1792L30.3326 18.3045L30.5743 18.3159C30.9426 19.6715 31.3109 21.0281 31.6792 22.3836C31.6988 22.4566 31.7195 22.5306 31.739 22.6036H28.7788Z"
          fill="#F4E041"
        />
        <path
          d="M32.038 22.8316L31.9781 22.6127L31.9159 22.3835L30.8133 18.3261L30.5739 18.3159L30.3323 18.3045L31.4383 22.3755H28.5137L28.5494 22.6344C28.6587 23.4175 28.4239 24.1768 27.9532 24.724C27.8634 24.8289 27.7645 24.9258 27.6585 25.0124C27.6264 25.0398 27.5929 25.066 27.5596 25.09C27.4905 25.1424 27.4192 25.1892 27.3443 25.2313C27.2212 25.3032 27.0912 25.3647 26.9542 25.4126C26.7263 25.4935 26.4892 25.5368 26.251 25.5437C26.1726 25.546 26.0944 25.5437 26.0162 25.5391C25.9402 25.5346 25.8642 25.5254 25.7883 25.5129C25.2496 25.4274 24.7352 25.1652 24.3485 24.7537C23.7062 24.0707 23.6705 23.2363 23.6855 22.8988C23.6855 22.7997 23.6901 22.7118 23.6993 22.6297L23.7292 22.3755H14.9947L15.0246 22.6297C15.0339 22.7118 15.0396 22.7997 15.0396 22.9079C15.0534 23.2363 15.0177 24.0707 14.3754 24.7537C13.9888 25.1652 13.4743 25.4274 12.9368 25.5129C12.8609 25.5254 12.7849 25.5346 12.7089 25.5391C12.6307 25.5437 12.5525 25.546 12.4741 25.5437C12.2348 25.5368 11.9977 25.4935 11.7698 25.4126C11.634 25.3647 11.5039 25.3043 11.3819 25.2325H11.3807C11.3059 25.1902 11.2334 25.1424 11.1644 25.09C11.131 25.066 11.0976 25.0398 11.0654 25.0124C10.9595 24.9258 10.8605 24.8289 10.7707 24.724C10.3 24.1768 10.0652 23.4175 10.1746 22.6344L10.2102 22.3755H7.28683L8.39289 18.3045L8.15119 18.3159L7.91064 18.3261L6.80804 22.3835L6.74589 22.6127L6.68604 22.8316H9.6923C9.61635 24.1711 10.3944 25.4115 11.6144 25.8424C12.6768 26.2186 13.922 25.9063 14.7128 25.0649C15.4735 24.2554 15.5161 23.2728 15.5 22.8988C15.5 22.876 15.4989 22.8532 15.4989 22.8316H23.2252V22.8886C23.2079 23.2728 23.2504 24.2554 24.0113 25.0649C24.5798 25.6691 25.3808 25.9997 26.1807 25.9997C26.495 25.9997 26.8092 25.9484 27.1096 25.8424C28.3296 25.4115 29.1076 24.1711 29.0317 22.8316H32.038ZM8.67947 16.372L8.44583 16.3527L8.0361 17.8644L8.2778 17.8541L8.51835 17.8428L8.91311 16.3914L8.67947 16.372ZM25.8344 0L25.5937 0.730765C24.8756 2.92191 24.1563 5.11308 23.4381 7.30309L23.0917 8.3599C22.2158 7.95177 20.9174 7.52197 19.3706 7.54933H19.358C17.8065 7.52426 16.5082 7.95177 15.6324 8.3599L15.2859 7.30309C14.5677 5.11308 13.8495 2.92191 13.1302 0.730765L12.8897 0L9.11338 13.8982L9.32977 13.9815L9.54614 14.0635L12.9322 1.60176C13.571 3.55007 14.2098 5.49727 14.8474 7.44445L15.3596 9.00402L15.599 8.88317C16.423 8.4682 17.7478 7.97571 19.3545 8.00535H19.374C20.9854 7.97799 22.3009 8.4682 23.125 8.88317L23.3655 9.00402L23.8766 7.44445C24.5142 5.49727 25.1529 3.55007 25.7929 1.60176L29.1789 14.0635L29.3953 13.9815L29.6106 13.8982L25.8344 0ZM8.99253 14.3406L8.56783 15.9046L8.80147 15.924L9.03511 15.9434L9.42529 14.507L9.20891 14.4238L8.99253 14.3406ZM29.7314 14.3416L29.5162 14.4238L29.2998 14.507L29.69 15.9434L29.9236 15.924L30.1562 15.9058L29.7314 14.3416ZM30.2781 16.3527L30.0457 16.372L29.8119 16.3914L30.2068 17.8428L30.4473 17.8541L30.6878 17.8644L30.2781 16.3527Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M21.1869 14.9493C20.9164 14.9493 20.6978 14.7326 20.6978 14.4647V11.528C20.6978 11.2601 20.9164 11.0435 21.1869 11.0435C21.4573 11.0435 21.676 11.2601 21.676 11.528V14.4647C21.676 14.7315 21.4573 14.9493 21.1869 14.9493Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M17.8257 14.4365C17.5575 14.4649 17.3158 14.2722 17.287 14.0055L17.0487 11.7893C17.02 11.5236 17.2145 11.2842 17.4838 11.2557C17.752 11.2272 17.9937 11.4199 18.0225 11.6867L18.2607 13.9029C18.2895 14.1696 18.095 14.4079 17.8257 14.4365Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M11.8748 15.2013C11.8403 15.2914 11.7528 15.3472 11.6607 15.3472C11.6331 15.3472 11.6043 15.3416 11.5778 15.3313L9.42329 14.507L9.2069 14.4238L8.99052 14.3406L5.85995 13.1424C5.74025 13.0968 5.68156 12.9646 5.72759 12.8471C5.77363 12.7297 5.90714 12.6716 6.02569 12.7172L9.11138 13.8982L9.32776 13.9814L9.54413 14.0635L11.7436 14.9061C11.8621 14.9517 11.9208 15.0839 11.8748 15.2013Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M11.4305 16.3708C11.4213 16.4894 11.3201 16.5795 11.2015 16.5795H11.1819L8.91112 16.3914L8.67748 16.372L8.44384 16.3526L5.07273 16.0733C4.94612 16.063 4.85174 15.9525 4.86326 15.827C4.8736 15.7017 4.98295 15.6081 5.11185 15.6196L8.56584 15.9046L8.79948 15.9239L9.03312 15.9433L11.2211 16.1246C11.3477 16.1348 11.4409 16.2455 11.4305 16.3708Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M11.4391 17.9422C11.4449 18.0677 11.347 18.1736 11.2193 18.1793L8.39142 18.3047L8.14972 18.3162L7.90917 18.3264L5.0951 18.4519H5.08474C4.96274 18.4519 4.86032 18.356 4.85571 18.2341C4.84996 18.1075 4.94779 18.0015 5.07438 17.9958L8.03462 17.8647L8.27631 17.8545L8.51687 17.8431L11.1986 17.7245C11.3286 17.7176 11.4334 17.8157 11.4391 17.9422Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M32.8616 13.1424L29.7299 14.3417L29.5146 14.4238L29.2983 14.507L27.1437 15.3313C27.1161 15.3416 27.0884 15.3472 27.0608 15.3472C26.9688 15.3472 26.8812 15.2914 26.8456 15.2013C26.7996 15.0839 26.8594 14.9517 26.9779 14.9061L29.1774 14.0635L29.3939 13.9814L29.609 13.8982L32.6958 12.7172C32.8132 12.6716 32.9479 12.7297 32.994 12.8471C33.0389 12.9646 32.9802 13.0968 32.8616 13.1424Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M33.8569 15.8273C33.8672 15.9527 33.7728 16.0633 33.6462 16.0735L30.2751 16.3529L30.0426 16.3723L29.8089 16.3916L27.537 16.5797H27.5174C27.4 16.5797 27.2988 16.4897 27.2884 16.3711C27.278 16.2457 27.3725 16.1351 27.499 16.1248L29.687 15.9436L29.9206 15.9242L30.1531 15.906L33.6082 15.6198C33.7348 15.6072 33.8465 15.7018 33.8569 15.8273Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M33.8652 18.2338C33.8593 18.3558 33.7581 18.4516 33.6349 18.4516H33.6245L30.8105 18.3262L30.5711 18.3159L30.3295 18.3045L27.5004 18.1792C27.3738 18.1734 27.2748 18.0674 27.2805 17.942C27.2864 17.8154 27.391 17.7196 27.5211 17.7243L30.204 17.8428L30.4445 17.8542L30.685 17.8645L33.6453 17.9955C33.773 18.0012 33.8709 18.1073 33.8652 18.2338Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M25.9209 23.5796C26.0087 23.8304 26.0849 24.136 26.1093 24.486C26.1381 24.8976 26.0861 25.2555 26.0145 25.5393L25.9209 23.5796Z"
          fill="white"
        />
        <path
          d="M26.0155 25.7672C25.9971 25.7672 25.9786 25.7649 25.9603 25.7604C25.8372 25.7306 25.7612 25.6064 25.7923 25.4845C25.8728 25.1595 25.9028 24.8289 25.8797 24.5017C25.8601 24.2178 25.8003 23.9328 25.7036 23.6546C25.6621 23.5361 25.7255 23.4061 25.8463 23.3651C25.9672 23.324 26.0972 23.3867 26.1386 23.5065C26.2491 23.8222 26.3159 24.1471 26.3389 24.4709C26.3654 24.846 26.3308 25.2233 26.2388 25.595C26.2123 25.6976 26.1179 25.7672 26.0155 25.7672Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M27.4219 23.4893C27.5629 23.7139 27.6855 23.9874 27.7237 24.3009C27.7699 24.6692 27.6867 24.9896 27.5722 25.2449L27.4219 23.4893Z"
          fill="white"
        />
        <path
          d="M27.5718 25.4718C27.5407 25.4718 27.5096 25.465 27.4785 25.4524C27.3622 25.4011 27.3093 25.2666 27.3611 25.1515C27.4831 24.8779 27.5269 24.6008 27.4934 24.3272C27.4635 24.0878 27.3738 23.8461 27.2253 23.6078C27.1586 23.5007 27.1919 23.3604 27.3001 23.2943C27.4083 23.2282 27.5499 23.2613 27.6167 23.3684C27.8008 23.6625 27.9124 23.967 27.9504 24.2725C27.9941 24.6282 27.9377 24.9862 27.7823 25.3361C27.7443 25.4217 27.6604 25.4718 27.5718 25.4718Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M12.803 23.5796C12.7152 23.8304 12.6389 24.136 12.6146 24.486C12.5857 24.8976 12.6377 25.2555 12.7093 25.5393L12.803 23.5796Z"
          fill="white"
        />
        <path
          d="M12.707 25.7673C12.6036 25.7673 12.5103 25.6976 12.4838 25.594C12.3917 25.2235 12.3572 24.845 12.3836 24.4698C12.4055 24.145 12.4734 23.8211 12.5839 23.5054C12.6254 23.3868 12.7566 23.3229 12.8762 23.364C12.996 23.405 13.0604 23.535 13.019 23.6536C12.9223 23.9317 12.8624 24.2156 12.8429 24.5006C12.8199 24.8278 12.8498 25.1585 12.9304 25.4834C12.9603 25.6054 12.8855 25.7296 12.7624 25.7593C12.7439 25.765 12.7255 25.7673 12.707 25.7673Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M11.302 23.4893C11.161 23.7139 11.0385 23.9874 11.0003 24.3009C10.9541 24.6692 11.0373 24.9896 11.1517 25.2449L11.302 23.4893Z"
          fill="white"
        />
        <path
          d="M11.1508 25.4718C11.0622 25.4718 10.9781 25.4205 10.9402 25.3361C10.7848 24.9872 10.7272 24.6293 10.7721 24.2725C10.8101 23.967 10.9217 23.6637 11.1059 23.3684C11.1727 23.2613 11.3142 23.2282 11.4224 23.2943C11.5306 23.3604 11.564 23.5007 11.4972 23.6078C11.3487 23.845 11.259 24.0878 11.229 24.3272C11.1957 24.6008 11.2394 24.8779 11.3614 25.1515C11.4132 25.2666 11.3603 25.4011 11.244 25.4524C11.2129 25.4661 11.1819 25.4718 11.1508 25.4718Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M8.35528 22.7985H0.244843C0.11018 22.7985 0 22.7111 0 22.6045C0 22.4977 0.11018 22.4104 0.244843 22.4104H8.35528C8.48994 22.4104 8.60012 22.4977 8.60012 22.6045C8.60012 22.7111 8.48994 22.7985 8.35528 22.7985Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M37.8846 22.8395H30.2595C30.1329 22.8395 30.0293 22.737 30.0293 22.6115C30.0293 22.4862 30.1329 22.3835 30.2595 22.3835H37.8846C38.0112 22.3835 38.1147 22.4862 38.1147 22.6115C38.1147 22.737 38.0123 22.8395 37.8846 22.8395Z"
          fill="black"
          fillOpacity="0.87"
        />
        <path
          d="M21.7045 18.6444C21.5387 19.0707 21.1554 19.5324 20.6686 19.6021C20.2186 19.6647 19.8042 19.4264 19.5062 19.0559C19.4774 19.1345 19.4417 19.2155 19.3957 19.2964C19.3208 19.4288 18.9192 20.083 18.2493 20.083H18.2309C17.5933 20.0717 17.0398 19.496 16.9431 18.7424C16.9281 18.617 17.0167 18.503 17.1432 18.4881C17.2676 18.4722 17.385 18.5611 17.4 18.6854C17.4737 19.2668 17.8845 19.6213 18.2389 19.6271H18.2482C18.6706 19.6271 18.9618 19.1312 18.994 19.0742C19.1528 18.7914 19.1493 18.5018 19.1206 18.3115C19.1103 18.2762 19.101 18.2408 19.0918 18.2055C18.6488 18.2568 18.2666 18.1029 18.1964 17.8223C18.117 17.5032 18.4727 17.1407 18.9917 17.013C19.5119 16.8853 19.9976 17.0403 20.077 17.3596C20.1438 17.6229 19.9147 17.9147 19.5418 18.0812C19.5533 18.1233 19.5637 18.1736 19.5729 18.2282C19.7593 18.8416 20.2359 19.2007 20.6041 19.1505C20.8896 19.1094 21.1577 18.7822 21.274 18.4813C21.373 18.2259 21.3592 17.9854 21.3304 17.8292C21.3086 17.705 21.3914 17.5864 21.5157 17.5636C21.6423 17.5419 21.7608 17.624 21.7839 17.7471C21.8231 17.9615 21.8414 18.2898 21.7045 18.6444Z"
          fill="black"
          fillOpacity="0.87"
        />
      </SvgIcon>
      <Typography sx={{ textTransform: 'uppercase' }}>testtask</Typography>
    </Box>
  )
}

export default Logo
